Name:           libproxy
Version:        0.4.18
Release:        1
Summary:        Libproxy is a library that provides automatic proxy configuration management

License:        LGPLv2+
URL:            https://libproxy.github.io/libproxy/
Source0:        https://github.com/libproxy/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# Source1 comes from the Debian package.
Source1:        proxy.1

BuildRequires:  cmake >= 2.6.0 gcc-c++
BuildRequires:  pkgconfig(gio-2.0) >= 2.26 pkgconfig(libnm) python3-devel
BuildRequires:  pkgconfig(dbus-1) pkgconfig(duktape)

Provides:       %{name}-bin %{name}-gnome %{name}-kde %{name}-networkmanager %{name}-pacrunner 
Obsoletes:      %{name}-bin %{name}-gnome %{name}-kde %{name}-mozjs %{name}-networkmanager %{name}-pacrunner 

%description
libproxy offers the following features:
    * extremely small core footprint (< 35K).
    * no external dependencies within libproxy core.
      (libproxy plugins may have dependencies).
    * only 3 functions in the stable external API.
    * dynamic adjustment to changing network topology.
    * a standard way of dealing with proxy settings across all scenarios.

%package -n     python3-%{name}
Summary:        Binding for %{name} and python3
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
The python3 binding for libproxy.

%package        duktape
Summary:        plugin for duktape
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-pac = %{version}-%{release}

%description    duktape
plugin for duktape.

%package        devel
Summary:        Libproxy provides consistent proxy configuration to applications - Development Files
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains libraries and header files for developing applications.

%package_help

%prep
%autosetup -p1

%build
%{cmake} \
  -DMODULE_INSTALL_DIR=%{_libdir}/%{name}/%{version}/modules \
  -DBIPR=OFF \
  -DWITH_PERL=OFF -DWITH_GNOME3=ON \
  -DWITH_PYTHON3=ON -DWITH_WEBKIT3=OFF -DWITH_DUKTAPE=ON -DWITH_MOZJS=OFF .
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_libdir}/%{name}/%{version}/modules
install -Dpm 0644 %{SOURCE1} %{buildroot}/%{_mandir}/man1/proxy.1

%check
make test

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc AUTHORS README 
%license COPYING
%{_libdir}/*.so.*
%{_bindir}/proxy
%{_libdir}/%{name}/%{version}/modules/*
%{_libexecdir}/pxgsettings
%exclude %{_libdir}/%{name}/%{version}/modules/pacrunner_duktape.so

%files -n python3-%{name}
%defattr(-,root,root)
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{name}.*

%files duktape
%defattr(-,root,root)
%{_libdir}/%{name}/%{version}/modules/pacrunner_duktape.so

%files devel
%defattr(-,root,root)
%{_includedir}/proxy.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/libproxy-1.0.pc
%{_datadir}/cmake/Modules/Findlibproxy.cmake

%files help
%defattr(-,root,root)
%{_mandir}/man1/proxy.1*

%changelog
* Thu Nov 03 2022 zhouyihang <zhouyihang3@h-partners.com> - 0.4.18-1
- Type:requirements
- Id:NA
- SUG:NA
- DESC:update libproxy to 0.4.18

* Thu Jan 28 2021 xihaochen <xihaochen@huawei.com> - 0.4.17-1
- Type:requirements
- Id:NA
- SUG:NA
- DESC:update libproxy to 0.4.17

* Wed Dec 02 2020 xihaochen <xihaochen@huawei.com> - 0.4.15-19
- Type:requirements
- Id:NA
- SUG:NA
- DESC:delete mozjs-68 dependency

* Fri Oct 30 2020 xihaochen <xihaochen@huawei.com> - 0.4.15-18
- Type:requirements
- Id:NA
- SUG:NA
- DESC:delete python2 dependency

* Thu Oct 29 2020 liuxin <liuxin264@huawei.com> - 0.4.15-17
- Type:cves
- Id:NA
- SUG:NA
- DESC:Disable mozjs backend by default and fix CVE-2020-25219

* Tue Oct 27 2020 orange-snn <songnannan2@huawei.com> - 0.4.15-16
- change the mozjs52 to mozjs68 in buildRequires

* Tue Oct 20 2020 hanzhijun <hanzhijun1@huawei.com> - 0.4.15-15
- Type:cves
- Id:NA
- SUG:NA
- DESC:fix CVE-2020-26154

* Thu Aug 6 2020 zengwefeng <zwfeng@huawei.com> - 0.4.15-14
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:drop dependency of libmodman


* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.4.15-13
- Type:NA
- ID:NA
- SUG:NA
- DESC:fix patch source

* Thu Nov 28 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.4.15-12
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:remove the webkitgtk4 package from main package

* Thu Oct 17 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.4.15-11
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:remove the /usr/bin/kreadconfig5 in buildRequires.

* Tue Sep 10 2019 liyongqiang<liyongqiang10@huawei.com> - 0.4.15-10
- Package init
